# Obtain acceleration line information - DescribeUPath

## Overview

Obtain acceleration line information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUPath`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Please refer to the [GetProjectList interface](api/summary/get_project_list). |**Yes**|
| **UPathId** | string | If no parameters are filled in, it returns all line resources under ProjectId. If this parameter is filled in, it returns the line matching the upath instance ID. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UPathSet** | array[[*UPathInfo*](#upathinfo)] | Route Information Array |**Yes**|

#### Data Model


#### UPathInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **PostPaid** | boolean | Is it a postpaid instance? |No|
| **ChargeType** | string | Billing mode, default is 'Month' for monthly charges, optional range ['Month','Year','Dynamic'] |No|
| **Name** | string | UPath Instance Name |No|
| **UPathId** | string | UPath Acceleration Route Instance ID |No|
| **Bandwidth** | int | Bandwidth, unit Mbps |No|
| **LineId** | string | Selected Line |No|
| **UGAList** | array[[*PathXUGAInfo*](#pathxugainfo)] | The list of UGAs bound to this UPath |No|
| **CreateTime** | int | Creation time of UPath, 10-digit timestamp |No|
| **ExpireTime** | int | Expiration time of UPath, 10-digit timestamp |No|
| **LineFromName** | string | Entry Route Name |No|
| **LineToName** | string | Line Exit Name |No|
| **OutPublicIpList** | array[[*OutPublicIpInfo*](#outpublicipinfo)] | Exit IP Array of the Line |No|

#### PathXUGAInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UGAId** | string | Acceleration Configuration ID |No|
| **IPList** | array[string] | List of source station IPs, multiple values separated by a comma. |No|
| **Domain** | string | Source Domain |No|

#### OutPublicIpInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **IP** | string | Line Back-to-Source Node EIP |No|
| **Area** | string | Back-to-source node data center code |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeUPath
&ProjectId=org-xxxx
&UPathId=upath-2noe2u
```

### Response Example
    
```json
{
  "Action": "DescribeUPathResponse",
  "Message": "",
  "RetCode": 0,
  "UPathSet": [
    {
      "Bandwidth": 1,
      "ChargeType": "Month",
      "CreateTime": 1542029575,
      "ExpireTime": 1569859200,
      "LineFromName": "中国(多地)",
      "LineId": "line_cn_afr-nigeria",
      "LineToName": "拉各斯",
      "Name": "中国多地到拉各斯_0",
      "OutPublicIpList": [
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.87"
        },
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.102"
        },
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.64"
        },
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.105"
        },
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.15"
        },
        {
          "Area": "afr-nigeria",
          "IP": "152.32.140.55"
        }
      ],
      "PostPaid": false,
      "UGAList": [
        {
          "Domain": "",
          "IPList": [
            "152.32.140.170"
          ],
          "UGAId": "uga-2yftnppa"
        }
      ],
      "UPathId": "upath-2noe2u"
    }
  ]
}
```





